package org.springframework.boot.loader.data;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.IOException;
import java.io.InputStream;
import org.springframework.boot.loader.data.RandomAccessDataFile;

class DataInputStream extends InputStream {
  private int position;
  
  private DataInputStream() {}
  
  public int read() throws IOException {
    int read = RandomAccessDataFile.access$600(RandomAccessDataFile.this, this.position);
    if (read > -1)
      moveOn(1); 
    return read;
  }
  
  public int read(byte[] b) throws IOException {
    return read(b, 0, (b != null) ? b.length : 0);
  }
  
  public int read(byte[] b, int off, int len) throws IOException {
    if (b == null)
      throw new NullPointerException("Bytes must not be null"); 
    return doRead(b, off, len);
  }
  
  int doRead(byte[] b, int off, int len) throws IOException {
    if (len == 0)
      return 0; 
    int cappedLen = cap(len);
    if (cappedLen <= 0)
      return -1; 
    return (int)moveOn(RandomAccessDataFile.access$700(RandomAccessDataFile.this, b, this.position, off, cappedLen));
  }
  
  public long skip(long n) throws IOException {
    return (n <= 0L) ? 0L : moveOn(cap(n));
  }
  
  public int available() throws IOException {
    return (int)RandomAccessDataFile.access$800(RandomAccessDataFile.this) - this.position;
  }
  
  private int cap(long n) {
    return (int)Math.min(RandomAccessDataFile.access$800(RandomAccessDataFile.this) - this.position, n);
  }
  
  private long moveOn(int amount) {
    this.position += amount;
    return amount;
  }
}
